Bug 470477 - NetworkManager doesn't automatically connect to wired network
NetworkManager doesn't automatically connect to wired network
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dan Williams
Vladimir Benes
Depends On:
  Show dependency treegraph
Reported: 2008-11-07 06:34 EST by Vladimir Benes
Modified: 2009-11-12 16:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-12 16:07:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2008-11-07 06:34:15 EST
Description of problem:
1. if connected to wifi network (default not selected by user) NM doesn't switch to wired network automatically.. 
2. if no networks are available and wired network is plugged in no automatic connection is set
both with iwl3945-firmware

Version-Release number of selected component (if applicable):
NM-0.7.0-0.11 x86_64 not tested on i386

How reproducible:

Steps to Reproduce:
1.no networks available
2.plug in wired network

1. connected to default wireless network
2. plug in network cable
Actual results:
no automatic switch to wired network

Expected results:
automatic connection

Additional info:
Comment 2 Vladimir Benes 2008-11-08 10:32:39 EST
it was Lenovo X61 and after my second look to the problem I have found out that it works well but only if you created wired network profile before
That iwl3945 driver was mentioned just in case it has some connection to it but it has not..
I suggest to create some default profile for wired connection because then NM is able to connect automatically and also switch from the unselected wireless to wired one
Comment 3 Vladimir Benes 2008-11-11 06:22:35 EST
additional info: automatic connection is made if and only if the flag ONBOOT in /etc/sysconfig/network-scripts/ifcfg-eth0 is set to "yes"
Comment 4 Dan Williams 2009-11-12 16:07:49 EST
Yeah, that's expected; ONBOOT is used as the 'autoconnect' flag.

Note You need to log in before you can comment on or make changes to this bug.